<?php

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$config = require ('config.php');

$conexion=$config['conexion'];

$conn = pg_connect($conexion);

$resultado['status'] = "ok";
$resultado['err'] = '';
$resultado['color_vc'] = '';
$resultado['color_api'] = '';

date_default_timezone_set('Europe/Madrid');
$fecha = date('y-m-d H:i:s', strtotime('-3 minutes'));

$sql = "select proceso, to_char(momento,'YY-MM-DD HH24:MI:SS') as momento from log_motores where proceso = 'VISUALCHECK' or proceso = 'API'";
$result = pg_query($conn, $sql) or die('La consulta fallo: ' . pg_last_error());
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

    $proceso = $row['proceso'];
    $momento = $row['momento'];

    $bgcolor = $momento > $fecha ? '#4dc469' : '#f57676';

    if ($proceso == 'VISUALCHECK') $resultado['color_vc'] = $bgcolor;
    if ($proceso == 'API') $resultado['color_api'] = $bgcolor;

}

pg_free_result($result);

echo json_encode($resultado);
pg_close($conn);

?>